/*
 * xvkbd - Virtual Keyboard for X Window System
 *
 * Copyright (C) 2000 by Tom Sato <VEF00200@nifty.ne.jp>
 * http://member.nifty.ne.jp/tsato/
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 */

#ifndef PROGRAM_NAME
# define PROGRAM_NAME "xvkbd"
#endif

struct appres_struct {
  String geometry;
  Boolean debug;
  Boolean kterm;
  Boolean auto_repeat;
  Boolean keypad;
  Boolean function_key;
  Boolean compact;
  Boolean keypad_only;
  Boolean keypad_keysym;
  Boolean list_widgets;
  String text;
  String window;
  String widget;
  XFontStruct *general_font;
  XFontStruct *letter_font;
  XFontStruct *special_font;
  XFontStruct *keypad_font;
  Pixel general_background;
  Pixel special_background;
  Pixel special_foreground;
  Pixel highlight_background;
  Pixel highlight_foreground;
  Pixel focus_background;

  String keys_normal;
  String keys_shift;
  String keys_altgr;
  String keys_shift_altgr;
  String key_labels;
} appres;


/* FindWidget() is defined in findwidget.c */
extern Window FindWidget(Widget w, Window client, const char *name);
